DialPressDocs
Pet

Add a new pet to the store

POST
/pet

Request Body

application/json
  1. body
id?integer
Formatint64
name*string
category?
photoUrls*array<string>
status?string

pet status in the store

Value in"available""pending""sold"

Response Body

Successful operation

application/json
  1. response
id?integer
Formatint64
name*string
category?
photoUrls*array<string>
status?string

pet status in the store

Value in"available""pending""sold"
curl -X POST 'https://petstore3.swagger.io/api/v3/pet' \  -H 'Content-Type: application/json' \  -d '{  "name": "doggie",  "photoUrls": [    "string"  ]}'
{  "id": 10,  "name": "doggie",  "category": {    "id": 1,    "name": "Dogs"  },  "photoUrls": [    "string"  ],  "status": "available"}

How is this guide?